List quotes
List all of your quotes
Documentation Index
Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
Use this file to discover all available pages before exploring further.
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
2024-07-30 Query Parameters
Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.
Pagination offset. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.next or pagination.previous to retrieve each page.
Filter by customer id.
Include archived quotes in results
Filter by quote status.
Filter by quote owner. Accepts a comma-separated list of user ids.
Filter by quote title (case-insensitive partial match).
Filter by whether the quote has an active approval workflow. True returns only quotes with active approvals, false returns only quotes without.
Response
OK
Quotes
[
{
"id": "678ca125-8bc3-478f-9a96-6ba73605cf1e",
"createdBy": "4ffd439e-32e5-4046-bb40-3cb81f40e5da",
"customerId": "377bf97b-ca1d-4538-be06-4022afa6bde3",
"quoteNumber": "Q00001",
"title": "My quote",
"currency": "GBP",
"status": "DRAFT",
"dealType": "NEW_BUSINESS",
"preliminaryBillingStartDate": "2022-10-01",
"expiresAt": "2022-10-01",
"publishedAt": "2022-06-28T16:47:00Z",
"acceptedAt": "2022-06-28T16:47:00Z",
"executedAt": "2022-06-28T16:47:00Z",
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"billingScheduleId": "08a76ddb-230e-4700-a5e2-70f6edaf7d50",
"expiryDays": 30,
"archivedAt": "2022-06-28T16:47:00Z",
"isExpired": false
}
]Results pagination
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}